//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace eCommerce.Services.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class TransactionCategory
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public TransactionCategory()
        {
            this.Transactions = new HashSet<Transaction>();
        }
    
        public int TransactionCategoryId { get; set; }
        public string Name { get; set; }
        public int TransactionTypeId { get; set; }
        public Nullable<int> BusinessUnitId { get; set; }
        public System.DateTime Created { get; set; }
        public string CreatedBy { get; set; }
        public Nullable<System.DateTime> Deleted { get; set; }
        public string DeletedBy { get; set; }
        public bool Visible { get; set; }
        public bool ApplyForMaaser1 { get; set; }
        public bool ApplyForMaaser { get; set; }
    
        public virtual BusinessUnit BusinessUnit { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Transaction> Transactions { get; set; }
        public virtual TransactionType TransactionType { get; set; }
    }
}
